# Documentation adds a circular dependency, so by
# default we build without.
%bcond_with doc

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global srcname ocaml-compiler-libs

Name:           %{srcname}-janestreet
Version:        0.12.4
Release:        %mkrel 5
Summary:        OCaml compiler libraries repackaged
Group:		Development/OCaml

License:        MIT
URL:            https://github.com/janestreet/%{srcname}
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

%rename ocaml-ocaml-compiler-libs
BuildRequires:  ocaml >= 4.04.1
BuildRequires:  ocaml-dune >= 2.8
%if %{with doc}
BuildRequires:  ocaml-odoc
%endif

%description
This package exposes the OCaml compiler libraries repackaged under
the toplevel names Ocaml_common, Ocaml_bytecomp, Ocaml_optcomp, etc.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%rename ocaml-ocaml-compiler-libs-devel

%description    devel
The %{name}-devel package contains libraries and
signature files for developing applications that use
%{name}.

%if %{with doc}
%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
Documentation for %{name}.
%endif

%prep
%autosetup -n %{srcname}-%{version}

%build
dune build %{?_smp_mflags}
%if %{with doc}
dune build %{?_smp_mflags} @doc
%endif

%install
dune install --destdir=%{buildroot}

%if %{with doc}
# We do not want the dune markers
find _build/default/_doc/_html -name .dune-keep -delete
%endif

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%files
%doc README.org
%license LICENSE.md
%dir %{_libdir}/ocaml/%{srcname}/
%dir %{_libdir}/ocaml/%{srcname}/bytecomp/
%dir %{_libdir}/ocaml/%{srcname}/common/
%dir %{_libdir}/ocaml/%{srcname}/optcomp/
%dir %{_libdir}/ocaml/%{srcname}/shadow/
%dir %{_libdir}/ocaml/%{srcname}/toplevel/
%{_libdir}/ocaml/%{srcname}/META
%{_libdir}/ocaml/%{srcname}/*/*.cma
%{_libdir}/ocaml/%{srcname}/*/*.cmi
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{srcname}/*/*.cmxs
%endif

%files devel
%{_libdir}/ocaml/%{srcname}/dune-package
%{_libdir}/ocaml/%{srcname}/opam
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{srcname}/*/*.a
%{_libdir}/ocaml/%{srcname}/*/*.cmx
%{_libdir}/ocaml/%{srcname}/*/*.cmxa
%endif
%{_libdir}/ocaml/%{srcname}/*/*.cmt

%if %{with doc}
%files doc
%doc _build/default/_doc/_html/
%doc _build/default/_doc/_mlds/
%doc _build/default/_doc/_odoc/
%license LICENSE.md
%endif



%changelog
* Thu May 19 2022 pterjan <pterjan> 0.12.4-5.mga9
+ Revision: 1859007
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.12.4-4.mga9
+ Revision: 1833131
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.12.4-3.mga9
+ Revision: 1751008
- Rebuild for ocaml 4.13.1

* Tue Oct 12 2021 tv <tv> 0.12.4-2.mga9
+ Revision: 1750809
- Version 0.12.4
- obsolete ocaml-ocaml-compiler-libs (same upstream...)

* Thu Mar 04 2021 tv <tv> 0.12.3-1.mga9
+ Revision: 1698302
- imported package ocaml-compiler-libs-janestreet

